Package ru.bitel.bgbilling.modules.megafon.common.bean

# Enum Class MegafonOptionType

java.lang.Object
java.lang.Enum<MegafonOptionType>
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonOptionType

All Implemented Interfaces:
  `Serializable`, `Comparable<MegafonOptionType>`, `Constable`, `GuiTitlable`

public enum MegafonOptionType extends Enum<MegafonOptionType> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ONE_TIME`
  `PROLONGATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `static Optional<MegafonOptionType>`
  `getType(int val)`
  `String`
  `toString()`
  `static MegafonOptionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MegafonOptionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ONE_TIME

    public static final MegafonOptionType ONE_TIME

  - ### PROLONGATE

    public static final MegafonOptionType PROLONGATE

- ## Method Details

  - ### values

    public static MegafonOptionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MegafonOptionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public static Optional<MegafonOptionType> getType(int val)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<MegafonOptionType>`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.